### Function Macro

# GLib assert_cmpvariant

since: 2.60

#### Declaration

    #define g_assert_cmpvariant (
      v1,
      v2
    )

#### Description

Debugging macro to compare two `GVariants`. If the comparison fails, an error message is logged and the application is either terminated or the testcase marked as failed. The variants are compared using g_variant_equal().

The effect of `g_assert_cmpvariant (v1, v2)` is the same as `g_assert_true (g_variant_equal (v1, v2))`. The advantage of this macro is that it can produce a message that includes the actual values of `v1` and `v2`.

Available since: 2.60

This function is not directly available to language bindings.

#### Parameters

`v1`

  Type: `-`

  Pointer to a `GVariant`.

`v2`

  Type: `-`

  Pointer to another `GVariant`.